import { Connection, PublicKey } from "@solana/web3.js";
import { Reserve } from "@/state";
import { PDAInfo } from "@renec-foundation/oracle-sdk";
export interface PricePair {
    network: string;
    version: string;
    quoteSymbol: string;
    quoteToken: string;
    baseSymbol: string;
    baseToken: string;
    maxPrice: string;
    minPrice: string;
    oracleProduct?: PDAInfo;
    oraclePrice?: PDAInfo;
}
export declare const DEFAULT_PRICES: {
    [key: string]: number;
};
export declare function fetchPrices(parsedReserves: Array<{
    info: Reserve;
    pubkey: PublicKey;
}>, connection: Connection, debug?: boolean): Promise<{
    [address: string]: {
        spotPrice: number;
        emaPrice: number;
    } | undefined;
}>;
